#version 430 core
layout (location = 0) in vec3 pos;
layout (location = 1) in vec4 params;

out vec4 vParams;
uniform mat4 worldMat;

mat4 perspective =  
    mat4 (1,0,0,0
         ,0,1,0,0
         ,0,0,1,1
         ,0,0,0,1
         ) ;
void main()
{
  gl_Position = perspective * worldMat * vec4(pos.xyz, 1);
  vParams = params;
}
